## ncurses 6.1+20190713

=== debian/changelog ===
ncurses (6.1+20190713-1) unstable; urgency=low

  * New upstream patchlevel.
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.
  * New patch fix-tabs-manpage-installation.diff, reverts a broken
    upstream change which inadvertently installed the tabs.1 manpage
    as a dangling symlink.
  * Update symbols files for new symbol _nc_find_user_entry.
  * Move the tmux and tmux-256color terminfo entries to ncurses-base
    (Closes: #927973).
  * Bump debhelper compatibility level to 12.
    - Build-depend on debhelper-compat (= 12) and drop debian/compat.
  * Drop the -dbg packages (Closes: #849003).
  * Reduce the size of the -dbgsym packages with dh_dwz.
  * Update years in debian/copyright.
  * Upgrade Standards-Version to 4.4.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 19 Jul 2019 17:14:25 +0200
