## ncurses 6.1+20190803

=== debian/changelog ===
ncurses (6.1+20190803-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2019 12:18:58 +0200

ncurses (6.1+20190803-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend the change to screen, because tmux relies upon that entry
      and does not support that feature (Closes: #933572).
  * New patch 02-debian-drop-rin-from-screen-256color.diff: remove "rin"
    also from screen-256color, used by some tmux users as their $TERM.
  * Drop patch fix-tabs-manpage-installation.diff, applied upstream.
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 08 Aug 2019 17:39:10 +0200

ncurses (6.1+20190713-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 08:34:52 +0200

ncurses (6.1+20190713-2) unstable; urgency=medium

  * Drop "rep" from xterm-new and derived terminfo descriptions
    (Closes: #933053).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 01 Aug 2019 18:12:18 +0200

ncurses (6.1+20190713-1ubuntu2) eoan; urgency=medium

  * Fixup symbols file for ubuntu x32 packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 21 Jul 2019 09:08:28 +0200

ncurses (6.1+20190713-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jul 2019 12:02:57 +0200
