=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libgpm-dev [linux-any],
                pkg-config,
                autoconf-dickey (>= 2.52+20170501),
-Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
+Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc] <!nobiarch>
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
@@ -189,7 +189,7 @@
  architecture.
 
 Package: lib32tinfo6
-Architecture: amd64 ppc64
+Architecture: amd64 ppc64 s390x
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!nobiarch>
@@ -202,7 +202,7 @@
  This package supports the 32-bit ABI variant of your system's architecture.
 
 Package: lib32ncurses6
-Architecture: amd64 ppc64
+Architecture: amd64 ppc64 s390x
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -218,7 +218,7 @@
  architecture.
 
 Package: lib32ncursesw6
-Architecture: amd64 ppc64
+Architecture: amd64 ppc64 s390x
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -234,7 +234,7 @@
  architecture.
 
 Package: lib32ncurses-dev
-Architecture: amd64 ppc64
+Architecture: amd64 ppc64 s390x
 Section: libdevel
 Priority: optional
 Depends: lib32ncurses6 (= ${binary:Version}),
@@ -317,4 +317,3 @@
  .
  This package contains programs demonstrating the possibilities of
  ncurses and testing the library. The examples include an
- analog/digital clock and several classic programs such as solitaire,
