=== debian/tests/control ===
Tests: build
Depends: libncurses-dev, build-essential, pkg-config
