## ncurses 6.1+20191019

=== debian/changelog ===
ncurses (6.1+20191019-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix several errata in tic (Closes: #942401).
      + Check for invalid hashcode in _nc_find_type_entry
        and nc_find_name_entry (CVE-2019-17594).
      + Check for invalid hashcode in _nc_find_entry.
      + Check for missing character after backslash in fmt_entry
        (CVE-2019-17595).
  * Refresh patch 03-debian-ncursesconfig-omit-L.diff.
  * Support additional build profiles:
    - Skip building ABI 5 libraries in a pkg.ncurses.nolegacy build profile.
    - Skip building the examples in a pkg.ncurses.noexamples build profile.
    - Do not build libtinfo6-udeb in the noudeb build profile.
  * Add a "Replaces: alacritty (<< 0.3.4~)" to ncurses-term
    (Closes: #933386).
  * Add a Salsa CI pipeline in debian/gitlab-ci.yml.
  * Export BUILD_{C,CPP,LD}FLAGS in debian/rules, making blhc happy.
  * Upgrade Standards-Version to 4.4.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 24 Oct 2019 18:18:57 +0200
