## ncurses 6.1.2

=== debian/changelog ===
ncurses (6.1.2-deepin1) unstable; urgency=medium

  * fix CVE-2022-29458.

 -- dinghao <dinghao@uniontech.com>  Fri, 30 Dec 2022 11:05:20 +0800

ncurses (6.1.1-1+dde) unstable; urgency=medium

  * fix for CVE-2021-39537 from upstream

 -- changlianzhi <changlianzhi@uniontech.com>  Mon, 01 Nov 2021 17:02:52 +0800

ncurses (6.1+20181013.1-1+dde) unstable; urgency=medium

  * update changelog.
  * 

 -- liuxin <liuxin@uniontech.com>  Wed, 29 Jul 2020 20:41:24 +0800

ncurses (6.1+20181013-2+deb10u2) buster; urgency=medium

  * Cherry-pick tic fixes from upstream patchlevels 20191012,
    20191015 and 20191019 (Closes: #942401).
    - Check for invalid hashcode in _nc_find_type_entry and
      nc_find_entry (CVE-2019-17594).
    - Check for missing character after backslash in fmt_entry
     (CVE-2019-17595).
    - Check for acsc with odd length in dump_entry in check for
      one-one mapping.
    - Check for missing character after backslash in write_it.
    - Modify tic to exit if it cannot remove a conflicting name, because
      treating that as a partial success can cause an infinite loop in
      use-resolution.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Nov 2019 19:16:19 +0100

ncurses (6.1+20181013-2+deb10u1) buster; urgency=medium

  * Drop "rep" from xterm-new and derived terminfo descriptions
    (Closes: #933053).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 05 Aug 2019 20:03:21 +0200
