## ncurses 6.2

=== debian/changelog ===
ncurses (6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 5.7+20090314-1, 5.6+20080419-
    2.

  [ Sven Joachim ]
  * New upstream release.
  * Refresh Debian patches.
  * Update symbols files and bump shlibs.
    - Update the minimal version for symbols added after the 6.1 release
      to 6.2.
    - Silence the package-placeholder-in-symbols-file lintian warning
      in the ABI5 library packages.
  * Get rid of debian/xterm.ti, and record the changes Debian makes to the
    xterm* terminfo entries in a new patch 02-debian-xterm.diff.
  * Switch debian/copyright to format 1.0, and update the years.
  * Upgrade Standards-Version to 4.5.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Feb 2020 10:05:22 +0100
