=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                libgpm-dev [linux-any],
                pkg-config,
                autoconf-dickey (>= 2.52+20170501),
-Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc] <!nobiarch>
-Standards-Version: 4.4.0
+Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
 Vcs-Git: https://salsa.debian.org/debian/ncurses.git
@@ -32,6 +32,7 @@
 Architecture: any
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!noudeb>
 Description: shared low-level terminfo library for terminal handling - udeb
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
@@ -189,7 +190,7 @@
  architecture.
 
 Package: lib32tinfo6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!nobiarch>
@@ -202,7 +203,7 @@
  This package supports the 32-bit ABI variant of your system's architecture.
 
 Package: lib32ncurses6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -218,7 +219,7 @@
  architecture.
 
 Package: lib32ncursesw6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -234,7 +235,7 @@
  architecture.
 
 Package: lib32ncurses-dev
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Section: libdevel
 Priority: optional
 Depends: lib32ncurses6 (= ${binary:Version}),
@@ -294,7 +295,7 @@
 Priority: standard
 Multi-Arch: foreign
 Depends: ncurses-base (>= 6.1+20190713), ${misc:Depends}
-Replaces: suckless-tools (<< 39), dvtm (<< 0.15-3)
+Replaces: suckless-tools (<< 39), dvtm (<< 0.15-3), alacritty (<< 0.3.4~)
 Breaks: libtinfo5 (<< 6.1), libslang2 (<< 2.3.1a-3), libunibilium0 (<< 2),
         libunibilium4 (<< 2.0.0-3), bash-static (<< 4.4.18-1.1),
         zsh-static (<< 5.4.2-4), libmono-corlib4.5-cil (<< 4.6.2.7+dfsg-2),
@@ -311,9 +312,9 @@
 Section: misc
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!pkg.ncurses.noexamples>
 Description: test programs and examples for ncurses
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
  .
  This package contains programs demonstrating the possibilities of
- ncurses and testing the library. The examples include an
