=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 export CPPFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get LDFLAGS)
+export BUILD_CFLAGS := $(CFLAGS)
+export BUILD_CPPFLAGS := $(CPPFLAGS)
+export BUILD_LDFLAGS := $(LDFLAGS)
+
+include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 HOST_CC ?= $(DEB_HOST_GNU_TYPE)-gcc
@@ -22,7 +27,7 @@
 
 # These are important since this is a library package
 soname=6
-sodepver = (>= 6.1)
+sodepver = (>= 6.2)
 
 # Name our packages
 package-base=ncurses-base
@@ -30,19 +35,15 @@
 package-lib=libncurses$(soname)
 package-lib-32=lib32ncurses$(soname)
 package-lib-64=lib64ncurses$(soname)
-package-lib-x32=libx32ncurses$(soname)
 package-ti=libtinfo$(soname)
 package-ti-32=lib32tinfo$(soname)
 package-ti-64=lib64tinfo$(soname)
-package-ti-x32=libx32tinfo$(soname)
 package-libw=libncursesw$(soname)
 package-libw-32=lib32ncursesw$(soname)
 package-libw-64=lib64ncursesw$(soname)
-package-libw-x32=libx32ncursesw$(soname)
 package-dev=libncurses5-dev
 package-dev-32=lib32ncurses-dev
 package-dev-64=lib64ncurses-dev
-package-dev-x32=libx32ncurses$(soname)-dev
 package-devti=libtinfo-dev
 package-devw=libncursesw5-dev
 package-term=ncurses-term
@@ -51,8 +52,6 @@
 package-ti-legacy=libtinfo5
 package-libw-legacy=libncursesw5
 
-m32_flag= -m32
-
 workdir=$(shell pwd)
 tempdir=debian/tmp
 fulltempdir=$(workdir)/$(tempdir)
@@ -63,22 +62,13 @@
 objdir-static=$(srcdir)/obj-static
 objdir-32=$(srcdir)/obj-32
 objdir-64=$(srcdir)/obj-64
-objdir-x32=$(srcdir)/obj-x32
 wobjdir=$(srcdir)/obj-wide
 wobjdir-static=$(srcdir)/obj-wide-static
 wobjdir-32=$(srcdir)/obj-wide-32
 wobjdir-64=$(srcdir)/obj-wide-64
-wobjdir-x32=$(srcdir)/obj-wide-x32
 objdir-test=$(srcdir)/obj-test
 objdir-legacy=$(srcdir)/obj-legacy
 wobjdir-legacy=$(srcdir)/obj-wide-legacy
-
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 autogen-files := debian/libncurses-dev.links debian/libncurses-dev.install \
 		 debian/libncurses6.install debian/libncursesw6.install \
@@ -89,8 +79,6 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64 build-wide-64
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
@@ -101,14 +89,6 @@
 ifeq ($(DEB_HOST_ARCH),s390)
 build_64_target = s390x-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64 build-wide-64
-endif
-
-ifeq ($(DEB_HOST_ARCH),s390x)
-build_32_target = s390-$(DEB_HOST_GNU_SYSTEM)
-build_32 = build-32 build-wide-32
-lib32 = /lib32
-usr_lib32 = /usr/lib32
-m32_flag = -m31
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
@@ -119,8 +99,6 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 build_32_target = i486-$(DEB_HOST_GNU_SYSTEM)
 build_32 = build-32 build-wide-32
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64)
@@ -131,6 +109,14 @@
 ifneq (,$(filter nobiarch,$(DEB_BUILD_PROFILES)))
 override build_32=
 override build_64=
+endif
+
+ifeq (,$(filter pkg.ncurses.nolegacy,$(DEB_BUILD_PROFILES)))
+build_legacy = build-legacy build-wide-legacy
+endif
+
+ifeq (,$(filter pkg.ncurses.noexamples,$(DEB_BUILD_PROFILES)))
+build_examples = build-test
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -241,8 +227,8 @@
 
 	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
 	cf_cv_working_poll=yes; export cf_cv_working_poll; \
-	cd $(objdir-32) && CC="$(HOST_CC) $(m32_flag)" \
-		BUILD_CC="gcc" CXX="$(HOST_CXX) $(m32_flag)" \
+	cd $(objdir-32) && CC="$(HOST_CC) -m32" \
+		BUILD_CC="gcc" CXX="$(HOST_CXX) -m32" \
 		$(relsrcdir)/configure \
 		$(CONFARGS) \
 		--host=$(build_32_target) \
@@ -252,3 +238,23 @@
 $(objdir-64)/config.status: config.guess-stamp
 	test -d $(objdir-64) || mkdir $(objdir-64)
 
+	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
+	cf_cv_working_poll=yes; export cf_cv_working_poll; \
+	cd $(objdir-64) && CC="$(HOST_CC) -m64" \
+		BUILD_CC="gcc" CXX="$(HOST_CXX) -m64" \
+		$(relsrcdir)/configure \
+		$(CONFARGS) \
+		--host=$(build_64_target) \
+		--without-gpm \
+		--libdir=/usr/lib64
+
+$(wobjdir)/config.status: config.guess-stamp
+	test -d $(wobjdir) || mkdir $(wobjdir)
+	cd $(wobjdir) && $(relsrcdir)/configure \
+		$(CONFARGS) \
+		--with-progs \
+		--enable-widec
+
+$(wobjdir-static)/config.status: config.guess-stamp
+	test -d $(wobjdir-static) || mkdir $(wobjdir-static)
+	cd $(wobjdir-static) && $(relsrcdir)/configure \
