## ncurses 6.2+20200918

=== debian/changelog ===
ncurses (6.2+20200918-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Corrected condition for appending curses.events to the generated
      curses.h (report by Sven Joachim, Closes: #970577).
   * Version the Provides of the transitional -dev packages
     by libncurses-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 20 Sep 2020 11:16:40 +0200

ncurses (6.2+20200912-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Move dlclose() call from lib_mouse.c to delscreen() to avoid a
      case in the former which could be called from SIGTSTP handler
      (Closes: #961097).
  * Update symbols files for new symbol _nc_tiparm.
  * Bump autoconf-dickey build dependency to (>= 2.52+20200111), as per
    configure.in.
  * Bump debhelper compatibility level to 13.
    - Use the substition feature in that compat level to get rid of the
      debian/*.{install,links}.in files.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 5.0-5.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 17 Sep 2020 19:18:53 +0200
