=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: required
 Maintainer: Craig Small <csmall@debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgpm-dev [linux-any],
                pkg-config,
-               autoconf-dickey (>= 2.52+20170501),
+               autoconf-dickey (>= 2.52+20200111),
 Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -66,7 +66,9 @@
 Replaces: ncurses-dev, libncurses5-dev (<< 6.1+20180210),
           libncursesw5-dev (<< 6.1+20180210), libtinfo-dev (<< 6.1+20180210),
           ncurses-bin (<< 6.0+20151017)
-Provides: libncurses5-dev, libncursesw5-dev, libtinfo-dev, ncurses-dev
+Provides: libncurses5-dev (= ${binary:Version}),
+          libncursesw5-dev (= ${binary:Version}),
+          libtinfo-dev (= ${binary:Version}), ncurses-dev
 Breaks: libncurses5-dev (<< 6.1+20180210), libncursesw5-dev (<< 6.1+20180210),
         libtinfo-dev (<< 6.1+20180210)
 Suggests: ncurses-doc
@@ -317,4 +319,3 @@
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
  .
- This package contains programs demonstrating the possibilities of
