## ncurses 6.2+20201114

=== debian/changelog ===
ncurses (6.2+20201114-2) unstable; urgency=medium

  * New patch 02-fix-mlterm.diff, cherry-picked from the 20201205 upstream
    patchlevel.
    - Correct mlterm3 kf1-kf4 (Closes: #975322).
    - Add flash to mlterm3.
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2021 16:02:10 +0100

ncurses (6.2+20201114-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Add tmux-direct terminfo entry (Closes: #895754).
  * Add Breaks on cowdancer (<< 0.89~) to libncurses6 (Closes: #971672).
  * Upgrade Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Nov 2020 18:08:43 +0100
