=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                autoconf-dickey (>= 2.52+20200111),
 Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
 Vcs-Git: https://salsa.debian.org/debian/ncurses.git
@@ -47,6 +47,7 @@
 Multi-Arch: same
 Depends: libtinfo6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: libgpm2 [linux-any]
+Breaks: cowdancer (<< 0.89~)
 Description: shared libraries for terminal handling
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
@@ -317,5 +318,3 @@
 Build-Profiles: <!pkg.ncurses.noexamples>
 Description: test programs and examples for ncurses
  The ncurses library routines are a terminal-independent method of
- updating character screens with reasonable optimization.
- .
